#include "errors.h"

//
// error message with one string
//
void err(const string& p)
{
    cerr << "\n   uh-oh:\n   "
         << p
         << "\n   bye...\n\n";
    exit(1);
}

//
// error message with two strings
//
void err(const string& p1, const string& p2)
{
    cerr << "\n   uh-oh:\n   "
         << p1
         << p2
         << "\n   bye...\n\n";
    exit(1);
}

//
// error message with three strings
//
void err(const string& p1, const string& p2, const string& p3)
{
    cerr << "\n   uh-oh:\n   "
         << p1
         << p2
         << p3
         << "\n   bye...\n\n";
    exit(1);
}

//
// error message with string followed by integer
//
void err(const string& p, int n)
{
    cerr << "\n   uh-oh:\n   "
         << p
         << n
         << "\n   bye...\n\n";
    exit(1);
}

//
// error message with string, integer, string
//
void err(const string& p1, int n, const string& p2)
{
    cerr << "\n   uh-oh:\n   "
         << p1
         << n
         << p2
         << "\n   bye...\n\n";
    exit(1);
}

//
// error message with string, integer, string, integer
//
void err(const string& p1, int n1, const string& p2, int n2)
{
    cerr << "\n   uh-oh:\n   "
         << p1
         << n1
         << p2
         << n2
         << "\n   bye...\n\n";
    exit(1);
}

//
// error message with string, double, string
//
void err(const string& p1, dbl x, const string& p2)
{
    cerr << "\n   uh-oh:\n   "
         << p1
         << x
         << p2
         << "\n   bye...\n\n";
    exit(1);
}

//
// error message with string, string, string, int
//
void err(const string& p1, const string& p2, const string& p3, int n)
{
    cerr << "\n   uh-oh:\n   "
         << p1
         << p2
         << p3
         << n
         << "\n   bye...\n\n";
    exit(1);
}

//
// error message with string, double, string, double, string
//
void err(const string& p1, dbl x, const string& p2, dbl y, const string& p3)
{
    cerr << "\n   uh-oh:\n   "
         << p1
         << x
         << p2
         << y
         << p3
         << "\n   bye...\n\n";
    exit(1);
}
