// gets 'PNP' (pass or not pass), 'GRD' (letter grade), or 'ADM' (withdrawn)
// from header and returns wg or lg or pl
//
#include "mkevals.h"

enum grtype get_grtype(string& header)
{
    string::size_type p;                   // pointer? to an element
    string name = header.substr(header.find(",")+1, 30);
    string temp = header;
    if ((p = temp.find(",PNP,")) < string::npos){
        temp.erase(0, p+1);                // erase up through comma
        temp = temp.erase(temp.find(',')); // erase from next comma
        return pl;
    }
    else if ((p = temp.find(",GRD,")) < string::npos){
        temp = temp.erase(0, p+1);         // erase up through comma
        temp = temp.erase(temp.find(',')); // erase from next comma
        return lg;
    }
    else if ((p = temp.find(",ADM,")) < string::npos){
        temp = temp.erase(0, p+1);         // erase up through comma
        temp = temp.erase(temp.find(',')); // erase from next comma
        return wg;
    }
    else {
        err("did not find a grade type for ", name);
    }
    return lg;                             // this should never happen
}

